<?php

include "../admin/adminses.php";
include "../engine/functions.php";
require_once("../admin/fckeditor/fckeditor.php");
$sBasePath = $_SERVER['PHP_SELF'] ;
$totalpages=pagecount();

// функция превода текста с кириллицы в траслит
function translit($st)
{
// Сначала заменяем "односимвольные" фонемы.
$st=strtr($st,"абвгдеёзийклмнопрстуфхъыэ_",
"abvgdeeziyklmnoprstufh'iei");
$st=strtr($st,"АБВГДЕЁЗИЙКЛМНОПРСТУФХЪЫЭ_",
"ABVGDEEZIYKLMNOPRSTUFH'IEI");
// Затем - "многосимвольные".
 $st=strtr($st, 
                 array(
                      "ж"=>"zh", "ц"=>"ts", "ч"=>"ch", "ш"=>"sh", 
                      "щ"=>"shch","ь"=>"", "ю"=>"yu", "я"=>"ya",
                      "Ж"=>"ZH", "Ц"=>"TS", "Ч"=>"CH", "Ш"=>"SH", 
                      "Щ"=>"SHCH","Ь"=>"", "Ю"=>"YU", "Я"=>"YA",
                      "ї"=>"i", "Ї"=>"Yi", "є"=>"ie", "Є"=>"Ye"
                      )
           );
 // Возвращаем результат.
 return $st;
}

@$action = $_REQUEST["action"];
@$title = trim($_POST["title"]);
@$name_link = trim($_POST["name_link"]);
@$content = trim($_POST["article"]);
@$myinclude = trim($_POST["myinclude"]);
@$description = trim($_POST["description"]);
@$keywords = trim($_POST["keywords"]);
@$for_menu = intval($_POST["formenu"]);
@$razdel = intval($_POST["razdel"]);
@$cat = trim($_POST["cat"]);
@$sitetitle="Добавить страницу";

$url=$_SERVER['PHP_SELF'] . "?action=validate";			 

@$contentcenter .='<h3>Добавление новой страницы</h3> 
<script type="text/javascript" src="../admin/fckeditor/fckeditor.js"></script>
<form action="'.$url.'" method="post" name="my_form">
<label for="title"><b>Заголовок:</b></label>
<input type="text" name="title" id="title" size="70" maxlength="255" value=""><br/><br/>
<label for="title"><b>Имя ссылки</b> (<font color="#FF0000">только латинскими</font>):</label>
<input type="text" name="name_link" id="title" size="10" maxlength="35" value=""><b>.html</b> - (можно не заполнять)<br>Если не заполнять , имя будет сгенерировано из заголовка кирилицы в латиницу!<br><br>';
$contentcenter .=<<<EOT
		<script type="text/javascript">
<!--
var sBasePath = document.location.href.substring(0,document.location.href.lastIndexOf('')) ;

var oFCKeditor = new FCKeditor( 'article' ) ;
oFCKeditor.BasePath	= '../admin/fckeditor/' ;
oFCKeditor.Height	= 400 ;
oFCKeditor.Value	= 'Содержание' ;
oFCKeditor.Create() ;
//-->
		</script>
		<br />
EOT;
$contentcenter .='<label for="myinclude"><b>ИМЯ php-кода:</b>&nbsp;&nbsp;&nbsp;</label>
<input type="myinclude" name="myinclude" id="myinclude" value="main" size=10><font color=#FF000> <i>находится в папке /mycode</i></font><br><br>
<label for="description"><b>Описание:</b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</label>
<input type="description" name="description" id="description" value="" size=40><br><br /> 
<label for="keywords"><b>Ключевые слова:</b></label>
<input type="text" name="keywords" id="keywords" value="" size=40><br /><br /> 
<label for="formenu"><b>Включить ссылку страницы в меню?</b></label>
<input checked type="radio" name="formenu" value="1" style="border: 0;"> да
<input type="radio" name="formenu" value="0" style="border: 0;"> нет<br /> 
<label for="razdel"><b>Как отдельная категория?</b></label>
<input checked type="radio" name="razdel" value="0" style="border: 0;"> нет
<input type="radio" name="razdel" value="1" style="border: 0;"> да<br /> 
Если отметить да, то это будет начальная страница новой категории.<br /><br />
<b>Входит в категорию:</b> <select name="cat" size="1" style="width: 200px"><option value="no">Без категории</option>'; 

$st=file("../engine/cat_pages.php"); 
for ($i=0;$i<sizeof($st);$i++){
$sst=explode('[n]',$st[$i]);
$sst=str_replace("\n",'',$sst);
$sst=str_replace("\r",'',$sst);
@$contentcenter .='<option value="'.$sst[1].'">'.$sst[0].'</option>'; 
};   

$contentcenter .='</select> 
<br /><br /> 
<div align="center"><input type="submit" class="submit-button" id="Submit" name="Submit" value="Добавить страницу" /></div><br /><br /><font color="#FF0000">Ссылка в меню добавляется автоматически!</font>';
if ($action=="validate") {

@$gofoward="false";
$errormessage="";

			 if (strlen($title)>1) {
	 			$gofoward="true";
				} else {
				$gofoward="false";
   				$errormessage="введите заголовок";
	 		 }

			 if ($gofoward=="true") { 
				if (strlen($content)<1) {
				$gofoward="false";
   				$errormessage="требуется содержание";
				}
			 }
}

  if (@$gofoward=="true") {
	if (strlen($name_link)<1) {
   		$np=makepermalink(translit($title));
		} else {
	 	$np=$name_link;
	 }
    if ($for_menu == 1) { @chmod("../engine/menu.php", 0777);
    @$mfile = fopen("../engine/menu.php", "a");
    if (!$mfile) {
         echo "Невозможно открыть файл меню";
         exit;
    }
    }
    if ($razdel == 0) { 
         if ($cat == "no") { $mcontent = "<LI><a href=\"../".$np.".html\">".$title."</a></LI>\r\n";
         } else { $mcontent = "<LI><a href=\"../".$cat."/".$np.".html\">".$title."</a></LI>\r\n"; 
		@chmod("../engine/cat_pages.php", 0777);
		$cat_myFile = "../articles/".$cat.".dat";
$line="3"; # строка, которую нужно изменить
$replace="<!-- Kan_content -->
<LI><a href=\"../".$cat."/".$np.".html\">".$title."</a></LI>"; # на что нужно изменить

$file=file($cat_myFile);
$open=fopen($cat_myFile,"w") or die("can't open file");

   for($i=0;$i<count($file);$i++)
   {
      if(($i+1)!=$line){fwrite($open,$file[$i]);}
      else{fwrite($open,$replace."\r\n");}
   }

		fclose($open);
		if ($for_menu == 1) { @chmod("../engine/menu.php", 0604); } }
    } else { $mcontent = "<LI><a href=\"../".$np."/\">".$title."</a></LI>\r\n";

    @chmod("../engine/cat_pages.php", 0777);
    @$сfile = fopen("../engine/cat_pages.php", "a");
   if (!$сfile) {
         echo "Невозможно открыть файл меню";
         exit;
   }
    $сcontent = "$cpu".$title."[n]".$np."\r\n";
    @$writefile = fwrite($сfile, $сcontent);
    if (!$writefile) {
         echo "Невозможно записать меню файл";
         exit;
    }
    @fclose($сfile);
    @chmod("../engine/cat_pages.php", 0604);

    }

    if ($for_menu == 1) { @$writefile = fwrite($mfile, $mcontent);
    if (!$writefile) {
         echo "Невозможно записать меню файл";
         exit;
    }
    @fclose($mfile);
    @chmod("../engine/menu.php", 0604); }

	@chmod("../articles/".$np.".dat", 0777);
	$ourFileName = "../articles/".$np.".dat";
	$ourFileHandle = fopen($ourFileName, 'w') or die("can't open file");
	fclose($ourFileHandle);
	
@$somecontent .= "<!-- Kan_title -->\n";
$somecontent .= $title;
$somecontent .= "<!-- Kan_title -->\n";
$somecontent .= "<!-- Kan_content -->\n";
$somecontent .= $content;
$somecontent .= "<!-- Kan_content -->\n";
$somecontent .= "<!-- Kan_myinclude -->\n";
$somecontent .= $myinclude;
$somecontent .= "<!-- Kan_myinclude -->\n";
$somecontent .= "<!-- Kan_description -->\n";
$somecontent .= $description;
$somecontent .= "<!-- Kan_description -->\n";
$somecontent .= "<!-- Kan_keywords -->\n";
$somecontent .= $keywords;
$somecontent .= "<!-- Kan_keywords -->\n";

$filename=$ourFileName;
if (is_writable($filename)) {

   if (!$handle = fopen($filename, 'a')) {
         echo "Невозможно открыть ($filename)";
         exit;
   }
$somecontent=stripslashes($somecontent);
   if (fwrite($handle, $somecontent) === FALSE) {
       echo "Невозможно записать в ($filename)";
       exit;
   }
   fclose($handle);
    @chmod("../articles/".$np.".dat", 0604);
$gothere=$_SERVER['PHP_SELF'];
header("Location: $gothere");
} else {
   $contentcenter.= "Этот $filename невозможно записать";
}
}
	
include "../admin/admintemplate.php";

?>
